<div class="perfil">
	<div class="back">
		<a routerLink="/lista-projetos"><i class="fas fa-arrow-left"></i></a>
		<h3 class="title-3">Visualizar Projeto</h3>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="card" id="projetox">
				<div class="card-header">
					<h5>
						Projeto <span id="nome-projeto">{{ projeto?.Projeto }}</span>
					</h5>
				</div>
				<div class="card-body">
					<div class="card-text">
							<p>RA: <span id="numero-funcional">{{ projeto?.Ra }}</span></p>
						<p>Protocolo: <span id="situacao">{{ projeto?.Protocolo }}</span></p>
						<p>Ensino: <span id="situacao">{{ projeto?.TipoAluno }}</span></p>
						<p>Situação: <span id="situacao">{{ projeto?.Situacao }}</span></p>
						<p>Submissão: <span
							id="data-submissao">{{projeto?.DataSubmissao | myDate | date:"dd/MM/yyyy"}}</span></p>

						<hr class="mb-4">
						<p>Nome: <span id="nome-aluno">{{ projeto?.Aluno }}</span></p>
						<p><span class="italic">E-mail</span>: <span id="email-aluno">{{ projeto?.Email }}</span></p>
						<p>Curso: <span id="numero-funcional">{{ projeto?.Curso }}</span></p>
						
					</div>
					<div class="group-button-card btn-group">


						<button [hidden]="historicoCarregado" class="btn btn-primary" type="button" disabled>
							<span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
							&nbsp; Carregando histórico...
						</button>

						<fieldset [disabled]="bloqueioHistorico">
							<div [hidden]="!historicoCarregado">
								<a href="{{ aluno?.Historico }}" target="_blank" class="btn btn-primary">
									<i class="fas fa-file-download"></i>
									Histórico escolar
								</a>
							</div>
						</fieldset>

						<button id="modalResumo" type="button" class="btn btn-primary" data-toggle="modal"
							data-target="#resumo-projeto-modal" [ngClass]="{'disabled': !projectLoaded}">
							<i class="fas fa-tasks"></i>
							Projeto Pesquisa
						</button>
						<!-- Modal resumo projeto -->
						<div class="modal fade" id="resumo-projeto-modal" tabindex="-1" role="dialog"
							aria-hidden="true">
							<div class="modal-dialog" role="document">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="exampleModalLongTitle">Projeto Pesquisa</h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div>
									<div class="modal-body" [innerHtml]="projeto?.Resumo"></div>
								</div>
							</div>
						</div>

						<a href="{{ baseUrl }}ProjetoPesquisa/RetornaPdf?ra={{ projeto?.Ra }}" class="btn btn-primary"
							[ngClass]="{'disabled': !projectLoaded}" disabled>
							<i class="fas fa-file-download"></i>
							Baixar PDF
						</a>
					</div>
				</div>
			</div>
			<form class="text-avaliacao" [formGroup]="formProject" (ngSubmit)="onSubmit()">
					<hr class="mb-4">
					<fieldset [disabled]="projectAlreadyValidated">
						<label for="validar">Validado?</label>
						<div class="form-group form-inline">
							<div class="custom-control custom-radio">
								<input id="sim" type="radio" class="custom-control-input"
									formControlName="Validado" required=""
									[checked]="projetoValidado" value="true">
								<label class="custom-control-label" for="sim" >Sim</label>
							</div>
							<div class="custom-control custom-radio">
								<input id="nao" type="radio" class="custom-control-input"
									formControlName="Validado" required=""
									[checked]="!projetoValidado" value="false">
								<label class="custom-control-label" for="nao">Não</label>
							</div>
						</div>
					</fieldset>
					
				<div class="mb-3">
					<label for="avaliar">Justificar a relevância e a qualidade do projeto para a Universidade</label>
					<textarea class="form-control" id="avaliar" aria-label="avaliar"
						[readonly]="projectAlreadyValidated"
						[ngClass]="{'invalid-form-field': !formProject.controls['Parecer'].valid && formProject.controls['Parecer'].touched}"
						autocomplete="off" type="text" formControlName="Parecer" [(ngModel)]="parecer" required
						placeholder=""></textarea>
					<p class="small-text">*Sua validação será enviada para o aluno e para o Setor de Pesquisa.</p>
				</div>
				
				<div class="text-center">
					<button class="btn-link btn btn-primary btn-navigate btn-prev btn-lg btn-block" type="submit"
						*ngIf="!projectAlreadyValidated">Enviar</button>
				</div>
			</form>
		</div>
	</div>
</div>